Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class IteratorClosureAdapter

A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`List` | `list`
`MetaClass` | `metaClass`

Constructor Summary
`IteratorClosureAdapter(Object delegate)`

Method Summary
`List` | `asList()`
`Object` | `doCall(Object argument)`
`MetaClass` | `getMetaClass()`
`void` | `setMetaClass(MetaClass metaClass)`

Constructor Detail

### IteratorClosureAdapter

    public IteratorClosureAdapter(Object delegate)

Method Detail

### asList

    public List asList()

### doCall

    Object doCall(Object argument)

### getMetaClass

    public MetaClass getMetaClass()

### setMetaClass

    public void setMetaClass(MetaClass metaClass)